<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/road_header"
        layout="@layout/road_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </include>
    <androidx.core.widget.NestedScrollView
        android:id="@+id/nested_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            >
            <TextView
                android:id="@+id/tv_message"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="20dp"
                android:text="01.基本信息"
                android:textColor="@color/black"
                android:textSize="16sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:id="@+id/ll_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/road_shape"
                android:orientation="horizontal"
                app:layout_constraintStart_toStartOf="@+id/tv_message"
                app:layout_constraintTop_toBottomOf="@+id/tv_message">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="15dp"
                    android:text="名称       "
                    android:textColor="@color/black"
                    android:textSize="15sp" />

                <EditText
                    android:id="@+id/et_road_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:inputType="text"
                    android:maxLines="1"
                    android:textSize="14sp" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_mode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="02.拍照方式"
                android:textColor="@color/black"
                android:textSize="16sp"
                app:layout_constraintLeft_toLeftOf="@id/ll_name"
                app:layout_constraintTop_toBottomOf="@+id/ll_name" />

            <LinearLayout
                android:id="@+id/ll_mode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="2dp"
                android:layout_marginTop="15dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@id/tv_mode">

                <RadioGroup
                    android:id="@+id/rg_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:orientation="horizontal">

                    <RadioButton
                        android:id="@+id/rb_car"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="车行"
                        android:textColor="@color/test_color_selector" />

                    <RadioButton
                        android:id="@+id/rb_bicycle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="自行车"
                        android:textColor="@color/test_color_selector" />

                    <RadioButton
                        android:id="@+id/rb_walking"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="步行"
                        android:textColor="@color/test_color_selector" />

                    <!--                <RadioButton-->
                    <!--                    android:id="@+id/rb_manual"-->
                    <!--                    android:layout_width="0dp"-->
                    <!--                    android:layout_height="wrap_content"-->
                    <!--                    android:layout_weight="1"-->
                    <!--                    android:text="手动"-->
                    <!--                    android:textColor="@color/test_color_selector" />-->
                </RadioGroup>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_pictures"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="20dp"
                android:orientation="horizontal"
                app:layout_constraintLeft_toLeftOf="@id/ll_mode"
                app:layout_constraintTop_toBottomOf="@id/ll_mode">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="03.录像  "
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/tv_pictures"
                    style="@style/user_style"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:gravity="center"
                    android:text="录像"
                    android:textColor="@color/white"
                    android:textSize="15sp" />
            </LinearLayout>

            <FrameLayout
                android:id="@+id/fm_road_picture"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"

                app:layout_constraintLeft_toLeftOf="@id/ll_pictures"
                app:layout_constraintTop_toBottomOf="@id/ll_pictures">

                <ImageView
                    android:id="@+id/iv_road_picture"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:maxWidth="200dp"
                    android:maxHeight="100dp"
                    android:minWidth="140dp"
                    android:minHeight="70dp"
                    android:scaleType="fitXY" />
            </FrameLayout>


            <LinearLayout
                android:id="@+id/ll_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintLeft_toLeftOf="@id/fm_road_picture"
                app:layout_constraintTop_toBottomOf="@id/fm_road_picture">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="20dp"
                    android:text="04.描述"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <LinearLayout
                    android:id="@+id/linear_describe"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/underline"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_03">

                    <EditText
                        android:id="@+id/et_desc"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_margin="2dp"
                        android:background="@color/white"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="top"
                        android:hint="任务描述"
                        android:paddingLeft="10dp"
                        android:paddingTop="10dp"
                        android:paddingBottom="30dp"
                        android:textColor="@color/test_color_selector"
                        android:textSize="15sp"


                        />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="20dp"
                android:layout_marginRight="10dp"
                android:layout_marginBottom="20dp"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/ll_desc">

                <Button
                    android:id="@+id/btn_road_save"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/selector_red_radius_bg"
                    android:text="保存本地"
                    android:textColor="@color/white" />

                <Button
                    android:id="@+id/road_upload"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_transparent_pink_radius_bg"
                    android:text="上传" />
            </LinearLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>


</LinearLayout>
